﻿Imports AddressBookSilverlightAppVB.AddressBookServiceReference
Imports System.Collections.ObjectModel

Partial Public Class MainPage
    Inherits UserControl

    Dim service As AddressBookServiceReference.AddressBookServiceClient

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub UserControl_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        service = New AddressBookServiceReference.AddressBookServiceClient()
    End Sub

    Private Sub button2_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        Dim entries = dataGrid1.ItemsSource.Cast(Of Entry)()
        AddHandler service.UpdateEntriesCompleted, AddressOf service_UpdateEntriesCompleted
        service.UpdateEntriesAsync(New ObservableCollection(Of Entry)(entries))
    End Sub

    Private Sub button1_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        AddHandler service.GetEntriesCompleted, AddressOf service_GetEntriesCompleted
        service.GetEntriesAsync()
    End Sub

    Private Sub service_GetEntriesCompleted(ByVal sender As Object, ByVal e As AddressBookServiceReference.GetEntriesCompletedEventArgs)
        dataGrid1.ItemsSource = e.Result
    End Sub

    Private Sub service_UpdateEntriesCompleted(ByVal sender As Object, ByVal e As UpdateEntriesCompletedEventArgs)
        If e.Result Then
            MessageBox.Show("データ保存成功")
        Else
            MessageBox.Show("データ保存失敗")
        End If
    End Sub

End Class